Table Trust Scores

Prev Next
Get
/api/v1/Catalog/data-sources/{dataSourceId}/schemas/{schemaId}/tables/{tableId}/trust-scores

Returns trust score information for a specified table

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
dataSourceId
integer (int32) Required

Id of the specified data source

schemaId
integer (int32) Required

Id of the specified schema

tableId
integer (int32) Required

Id of the specified table

Responses
200

OK

Expand All
object
dataSource
object (Configuration.Api.Models.v1.TrustScoresMetaObjectDataSource)
dataSourceName
string | null

Name of the specified data source

dataSourceId
integer (int32)

ID of the specified data source

dataSourceServer
string | null

Server of the specified data source

dataSourceDatabase
string | null

Database of the specified data source

includeInTrustScore
boolean

Whether the specified data source is included in trust scores

schema
object (Configuration.Api.Models.v1.TrustScoresMetaObjectSchema)
schemaName
string | null

Name of the specified schema

schemaId
integer (int32)

ID of the specified schema

includeInTrustScore
boolean

Whether the specified schema is included in trust scores

table
object (Configuration.Api.Models.v1.TrustScoresMetaObjectTable)
tableName
string | null

Name of the specified table

tableId
integer (int32)

ID of the specified table

tableType
string
Valid values[ "Table", "View" ]
includeInTrustScore
boolean

Whether the specified table is included in trust scores

currentTrustScores
object (Configuration.Api.Models.v1.TrustScoresCurrentTrustScores)
trustScore
number (double)

Trust score of the specified table

qualityScore
number (double)

Quality score of the specified table

coverageScore
number (double)

Coverage score of the specified table

qualityDimensionCount
integer (int32)

Number of quality dimensions in the specified table's trust score

qualityScoreNumerator
number (double)

Numerator of the specified table's quality score

qualityScoreDenominator
number (double)

Denominator of the specified table's quality score

trustScoreDatePeriodStart
string (date-time)

Beginning date of the trust score period

trustScoreDatePeriodEnd
string (date-time)

Ending date of the trust score period

trustScoreTestExecutionCount
integer (int32)

Number of test executions used in the trust score calculation

trustScorePassedCount
integer (int32)

Number of passed tests within the trust score period

trustScoreFailedCount
integer (int32)

Number of failed tests within the trust score period

trustScoreErrorCount
integer (int32)

Number of erroring tests within the trust score period

impactRating
string | null

Name of the impact rating used by the specified table

impactRatingTrustScoreTarget
number (double)

Target trust score of the impact rating used by the specified table

impactRatingQualityScoreTarget
number (double)

Target quality score of the impact rating used by the specified table

impactRatingCoverageScoreTarget
number (double)

Target coverage score of the impact rating used by the specified table

currentTestStatus
object (Configuration.Api.Models.v1.TrustScoreTestStatus)
passingTests
integer (int32)

Number of currently passing tests associated with the specified meta object

failingTests
integer (int32)

Number of currently failing tests associated with the specified meta object

erroringTests
integer (int32)

Number of currently erroring tests associated with the specified meta object

intermittentTests
integer (int32)

Number of intermittently passing tests associated with the specified meta object

notRunTests
integer (int32)

Number of tests associated with the specified meta object that have not been run